export interface FileReplacement {
    replace: string;
    with: string;
}
export interface OptimizationOptions {
    scripts: boolean;
    styles: boolean;
}
export interface SourceMapOptions {
    scripts: boolean;
    styles: boolean;
    vendors: boolean;
    hidden: boolean;
}
export interface BuildBuilderOptions {
    main: string;
    outputPath: string;
    tsConfig: string;
    watch?: boolean;
    sourceMap?: boolean | SourceMapOptions;
    optimization?: boolean | OptimizationOptions;
    showCircularDependencies?: boolean;
    maxWorkers?: number;
    memoryLimit?: number;
    poll?: number;
    fileReplacements: FileReplacement[];
    assets?: any[];
    progress?: boolean;
    statsJson?: boolean;
    extractLicenses?: boolean;
    verbose?: boolean;
    webpackConfig?: string | string[];
    root?: string;
    sourceRoot?: string;
    projectRoot?: string;
}
export interface BuildNodeBuilderOptions extends BuildBuilderOptions {
    optimization?: boolean;
    sourceMap?: boolean;
    externalDependencies: 'all' | 'none' | string[];
    buildLibsFromSource?: boolean;
    generatePackageJson?: boolean;
}
export interface NormalizedBuildNodeBuilderOptions extends BuildNodeBuilderOptions {
    webpackConfig: string[];
}
